Bug 456665 - mugshot: crash on startup
mugshot: crash on startup
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mugshot (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-25 09:26 EDT by Rex Dieter
Modified: 2009-07-15 04:25 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-15 04:25:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2008-07-25 09:26:59 EDT
OK, only kde-4.0.99 at the moment, but launching mugshot by hand, I see an
inactive mugshot systray icon for a bit, then boom.

$ gdb mugshot
...
Program received signal SIGSEGV, Segmentation fault.
0x0000003aafc0d57c in g_object_unref () from /lib64/libgobject-2.0.so.0
(gdb) bt                                                               
#0  0x0000003aafc0d57c in g_object_unref () from /lib64/libgobject-2.0.so.0
#1  0x000000000042e77a in ?? ()
#2  0x0000003aafc10ae0 in ?? () from /lib64/libgobject-2.0.so.0
#3  0x0000003aafc11063 in g_object_newv () from /lib64/libgobject-2.0.so.0
#4  0x0000003aafc11aab in g_object_new_valist () from /lib64/libgobject-2.0.so.0
#5  0x0000003aafc11cfc in g_object_new () from /lib64/libgobject-2.0.so.0
#6  0x00000000004224a2 in ?? ()
#7  0x0000003aafc11063 in g_object_newv () from /lib64/libgobject-2.0.so.0
#8  0x0000003aafc11aab in g_object_new_valist () from /lib64/libgobject-2.0.so.0
#9  0x0000003aafc11cfc in g_object_new () from /lib64/libgobject-2.0.so.0
#10 0x00000000004212fb in ?? ()
#11 0x000000000041c4c9 in ?? ()
#12 0x0000000000410562 in ?? ()
#13 0x0000000000410bc6 in ?? ()
#14 0x0000000000410c20 in ?? ()
#15 0x0000000000410fd6 in ?? ()
#16 0x0000003ab3211d90 in ?? () from /usr/lib64/libddm-1.so.0
#17 0x0000003ab32137b5 in ?? () from /usr/lib64/libddm-1.so.0
#18 0x0000003ab320b1ba in ?? () from /usr/lib64/libddm-1.so.0
#19 0x0000003ab320b2c9 in ?? () from /usr/lib64/libddm-1.so.0
#20 0x0000003aaf4374db in g_main_context_dispatch () from /lib64/libglib-2.0.so.0
#21 0x0000003aaf43acbd in ?? () from /lib64/libglib-2.0.so.0
#22 0x0000003aaf43b1ed in g_main_loop_run () from /lib64/libglib-2.0.so.0
#23 0x000000000040d5aa in gtk_status_icon_position_menu ()
#24 0x000000398701e32a in __libc_start_main () from /lib64/libc.so.6
#25 0x00000000004089d9 in gtk_status_icon_position_menu ()
#26 0x00007fffeea57958 in ?? ()
#27 0x000000000000001c in ?? ()
#28 0x0000000000000001 in ?? ()
#29 0x00007fffeea58461 in ?? ()
#30 0x0000000000000000 in ?? ()


I'll try to more useful backtrace information asap (installing -debuginfo's)
Comment 1 Kevin Kofler 2008-07-25 09:53:10 EDT
Oh fun... It seems each time one problem with GTK+ systray icons in KDE gets 
fixed, another comes up. :-(
Comment 2 Rex Dieter 2008-07-25 10:13:13 EDT
with mugshot-debuginfo (and friends).

(gdb) bt                                                                       
                                                
#0  0x0000003aafc0d57c in IA__g_object_unref (_object=<value optimized out>) at
gobject.c:1742
#1  0x000000000042e77a in hippo_canvas_entity_photo_set_actions
(entity_photo=0x160ba40, actions=0x15b3520)
    at common-dist/stacker/hippo-canvas-entity-photo.c:292
#2  0x0000003aafc10ae0 in g_object_constructor (type=<value optimized out>,
n_construct_properties=<value optimized out>,
    construct_params=<value optimized out>) at gobject.c:697
#3  0x0000003aafc11063 in IA__g_object_newv (object_type=<value optimized out>,
n_parameters=<value optimized out>,
    parameters=<value optimized out>) at gobject.c:937
#4  0x0000003aafc11aab in IA__g_object_new_valist (object_type=<value optimized
out>,
    first_property_name=<value optimized out>, var_args=<value optimized out>)
at gobject.c:1027
#5  0x0000003aafc11cfc in IA__g_object_new (object_type=<value optimized out>,
first_property_name=<value optimized out>)
    at gobject.c:795
#6  0x00000000004224a2 in hippo_canvas_block_constructor (type=23603776,
n_construct_properties=1,
    construct_properties=<value optimized out>) at
common-dist/stacker/hippo-canvas-block.c:498
#7  0x0000003aafc11063 in IA__g_object_newv (object_type=<value optimized out>,
n_parameters=<value optimized out>,
    parameters=<value optimized out>) at gobject.c:937
#8  0x0000003aafc11aab in IA__g_object_new_valist (object_type=<value optimized
out>,
    first_property_name=<value optimized out>, var_args=<value optimized out>)
at gobject.c:1027
#9  0x0000003aafc11cfc in IA__g_object_new (object_type=<value optimized out>,
first_property_name=<value optimized out>)
    at gobject.c:795
#10 0x00000000004212fb in hippo_canvas_block_new (type=<value optimized out>,
actions=0x15b3520)
    at common-dist/stacker/hippo-canvas-block.c:327
#11 0x000000000041c4c9 in hippo_canvas_stack_add_block (canvas_stack=0x1607e00,
block=0x15b7330)
    at common-dist/stacker/hippo-canvas-stack.c:337
#12 0x0000000000410562 in resort_block (manager=0x15c2610, block=0x15b7330) at
common-dist/stacker/hippo-stack-manager.c:665
#13 0x0000000000410bc6 in manager_set_stack (manager=0x15c2610, stack=<value
optimized out>)
    at common-dist/stacker/hippo-stack-manager.c:862
#14 0x0000000000410c20 in on_stack_changed (user=<value optimized out>,
changed_properties=<value optimized out>,
    data=0x15c2610) at common-dist/stacker/hippo-stack-manager.c:878
#15 0x0000000000410fd6 in on_get_stack_success (user=0x1669d80, data=0x15c2610)
    at common-dist/stacker/hippo-stack-manager.c:890
#16 0x0000003ab3211d90 in _ddm_data_query_run_response (query=<value optimized
out>) at ddm/ddm-data-query.c:382
#17 0x0000003ab32137b5 in _ddm_work_item_process (item=<value optimized out>) at
ddm/ddm-work-item.c:386
#18 0x0000003ab320b1ba in ddm_data_model_flush_internal (model=<value optimized
out>, shutting_down=<value optimized out>)
    at ddm/ddm-data-model.c:846
#19 0x0000003ab320b2c9 in do_flush (data=<value optimized out>) at
ddm/ddm-data-model.c:638
#20 0x0000003aaf4374db in IA__g_main_context_dispatch (context=<value optimized
out>) at gmain.c:2012
#21 0x0000003aaf43acbd in g_main_context_iterate (context=<value optimized out>,
block=<value optimized out>,
    dispatch=<value optimized out>, self=<value optimized out>) at gmain.c:2645
#22 0x0000003aaf43b1ed in IA__g_main_loop_run (loop=<value optimized out>) at
gmain.c:2853
#23 0x000000000040d5aa in main (argc=1, argv=0x7fffd7cd8e38) at src/main.c:530
Comment 3 Rex Dieter 2008-07-25 10:41:42 EDT
OK, let's try one more time.

$ gdb mugshot
...
Program received signal SIGSEGV, Segmentation fault.
0x0000003aafc0d57c in IA__g_object_unref (_object=<value optimized out>) at
gobject.c:1742
1742      g_return_if_fail (G_IS_OBJECT (object));
...
(gdb) bt
#0  0x0000003aafc0d57c in IA__g_object_unref (_object=<value optimized out>) at
gobject.c:1742
#1  0x000000000042e77a in hippo_canvas_entity_photo_set_actions
(entity_photo=0x19e7a40, actions=0x198f520)
    at common-dist/stacker/hippo-canvas-entity-photo.c:292
#2  0x0000003aafc10ae0 in g_object_constructor (type=<value optimized out>,
n_construct_properties=<value optimized out>,
    construct_params=<value optimized out>) at gobject.c:697
#3  0x0000003aafc11063 in IA__g_object_newv (object_type=<value optimized out>,
n_parameters=<value optimized out>,
    parameters=<value optimized out>) at gobject.c:937
#4  0x0000003aafc11aab in IA__g_object_new_valist (object_type=<value optimized
out>,
    first_property_name=<value optimized out>, var_args=<value optimized out>)
at gobject.c:1027
#5  0x0000003aafc11cfc in IA__g_object_new (object_type=<value optimized out>,
first_property_name=<value optimized out>)
    at gobject.c:795
#6  0x00000000004224a2 in hippo_canvas_block_constructor (type=27420560,
n_construct_properties=1,
    construct_properties=<value optimized out>) at
common-dist/stacker/hippo-canvas-block.c:498
#7  0x0000003aafc11063 in IA__g_object_newv (object_type=<value optimized out>,
n_parameters=<value optimized out>,
    parameters=<value optimized out>) at gobject.c:937
#8  0x0000003aafc11aab in IA__g_object_new_valist (object_type=<value optimized
out>,
    first_property_name=<value optimized out>, var_args=<value optimized out>)
at gobject.c:1027
#9  0x0000003aafc11cfc in IA__g_object_new (object_type=<value optimized out>,
first_property_name=<value optimized out>)
    at gobject.c:795
#10 0x00000000004212fb in hippo_canvas_block_new (type=<value optimized out>,
actions=0x198f520)
    at common-dist/stacker/hippo-canvas-block.c:327
#11 0x000000000041c4c9 in hippo_canvas_stack_add_block (canvas_stack=0x19e3e00,
block=0x1993330)
    at common-dist/stacker/hippo-canvas-stack.c:337
#12 0x0000000000410562 in resort_block (manager=0x199e610, block=0x1993330) at
common-dist/stacker/hippo-stack-manager.c:665
#13 0x0000000000410bc6 in manager_set_stack (manager=0x199e610, stack=<value
optimized out>)
    at common-dist/stacker/hippo-stack-manager.c:862
#14 0x0000000000410c20 in on_stack_changed (user=<value optimized out>,
changed_properties=<value optimized out>,
    data=0x199e610) at common-dist/stacker/hippo-stack-manager.c:878
#15 0x0000000000410fd6 in on_get_stack_success (user=0x1a5f610, data=0x199e610)
    at common-dist/stacker/hippo-stack-manager.c:890
#16 0x0000003ab3211d90 in _ddm_data_query_run_response (query=<value optimized
out>) at ddm/ddm-data-query.c:382
#17 0x0000003ab32137b5 in _ddm_work_item_process (item=<value optimized out>) at
ddm/ddm-work-item.c:386
#18 0x0000003ab320b1ba in ddm_data_model_flush_internal (model=<value optimized
out>, shutting_down=<value optimized out>)
    at ddm/ddm-data-model.c:846
#19 0x0000003ab320b2c9 in do_flush (data=<value optimized out>) at
ddm/ddm-data-model.c:638
#20 0x0000003aaf4374db in IA__g_main_context_dispatch (context=<value optimized
out>) at gmain.c:2012
#21 0x0000003aaf43acbd in g_main_context_iterate (context=<value optimized out>,
block=<value optimized out>,
    dispatch=<value optimized out>, self=<value optimized out>) at gmain.c:2645
#22 0x0000003aaf43b1ed in IA__g_main_loop_run (loop=<value optimized out>) at
gmain.c:2853
#23 0x000000000040d5aa in main (argc=1, argv=0x7ffffbf520b8) at src/main.c:530


Comment 4 Owen Taylor 2008-07-25 10:47:43 EDT
I'm pretty sure this has nothing to do with the KDE systray, and quite
likely nothing to do with KDE at all. I've actually seen pretty similar
looking crashes with GNOME (and i386), though not reliably reproducable.

I'd suggest removing it from the KDE 4.1 tracker.
Comment 5 Kevin Kofler 2008-07-25 10:53:55 EDT
Thanks for clearing that up.
Comment 6 Owen Taylor 2008-07-30 11:59:22 EDT
Hmm, what version of mugshot and hippo-canvas? I think the mugshot
from updates might incompatible with hippo-canvas from updates-testing.
Comment 7 Rex Dieter 2008-07-30 12:12:14 EDT
rpm -q mugshot hippo-canvas
mugshot-1.2.1-1.fc9.x86_64
hippo-canvas-0.3.0-2.fc9.x86_64

confirmed that downgrading to
hippo-canvas-0.2.34-1.fc9.x86_64
from (stable) updates makes mugshot functional again.
Comment 8 Owen Taylor 2008-07-30 12:17:07 EDT
I'll push a mugshot rebuild to updates-testing
Comment 9 Fedora Update System 2008-07-30 14:31:07 EDT
mugshot-1.2.2-1.fc9 has been submitted as an update for Fedora 9
Comment 10 Rex Dieter 2008-07-30 14:48:07 EDT
mugshot-1.2.2-1.fc9 confirmed mm, mm, good.
Comment 11 Fedora Update System 2008-07-31 21:48:09 EDT
mugshot-1.2.2-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update mugshot'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-6923
Comment 12 Fedora Update System 2008-08-07 19:59:26 EDT
mugshot-1.2.2-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Bug Zapper 2009-06-09 22:14:37 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 Bug Zapper 2009-07-15 04:25:27 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.